ReferenceItem lists
General
GET
Bearerheader
AuthorizationBearer <token>OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.
application/json- response
[index: integer]?curl -X GET 'https://<your-instance>/api/item-lists/attachment-levels' \ -H 'Authorization: Bearer <access-token>'[ { "id": 0, "level": 0, "name": "string", "parentId": 0 }]List suppliers (deprecated)
DeprecatedGET
Bearerheader
AuthorizationBearer <token>OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.
application/json- response
[index: integer]?curl -X GET 'https://<your-instance>/api/item-lists/company/suppliers' \ -H 'Authorization: Bearer <access-token>'[ { "id": 0, "identificationNumber": "string", "isInactive": true, "name": "string", "shortenedName": "string", "supplierCode": "string", "vatIdentificationNumber": "string" }]GET
Bearerheader
AuthorizationBearer <token>OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.
application/json- response
[index: integer]?curl -X GET 'https://<your-instance>/api/item-lists/data-grid/custom-exports' \ -H 'Authorization: Bearer <access-token>'[ { "czeLabel": "string", "dataGridId": "apiOnly", "engLabel": "string", "id": 0, "isActive": true, "viewName": "string", "whereInQueryColumnName": "string" }]